Subject: [PATCH 0/2] Add "-m" and "-F" options to "git notes edit"

From: Johan Herland <[email-masked]>
Date: Fri, 15 May 2009 02:11:44 +0200

Hi,

(This is a resend of an earlier series which got positive feedback
from Dscho, but which has yet to show up in 'pu'.)

The following 2-patch series teaches "git notes edit" to support the
"-m <msg>" and "-F <file>" options (inspired by git-tag and git-commit).

The first patch does some minor bugfixes and cleanups in preparation for
the second patch, which adds the options with associated documentation
and selftests.

This series is based on top of the "js/notes" topic in a recent "pu".

Johan Herland (2):
  Minor cleanup and bugfixing in git-notes.sh
  Teach "-m <msg>" and "-F <file>" to "git notes edit"

 Documentation/git-notes.txt |   12 +++++++-
 git-notes.sh                |   71 ++++++++++++++++++++++++++++++++----------
 t/t3301-notes.sh            |   57 ++++++++++++++++++++++++++++++++++
 3 files changed, 122 insertions(+), 18 deletions(-)

Have fun! :)

...Johan